html {
    height: 100%;
}

body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    gap: 0;
    box-sizing: border-box;
    background-image: url('https://i.imgur.com/cUZQgBR.jpeg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    overflow: hidden;
}

#border {
    position: absolute;
    z-index: 99;
    width: 100%;
    height: 100%;
    opacity: 0;
    animation: fadeBorder 3s ease 1.5s 1 normal forwards;
}

@keyframes fadeBorder {
    from {
        opacity: 0;
        transform: scale(0.99);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}


#playby {
    order: 2;
    max-height: 100vh;
    max-width: 100%;
    height: 100%;
    width: auto;
    object-fit: contain;
    animation: playbyFade 3s ease 0s 1 normal forwards;
}

@keyframes playbyFade {
    from {
        opacity: 0;
        transform: translateX(10%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}


#content {
    flex: 1;
    order: 1;
    padding: 50px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: fit-content;
}

#name {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    opacity: 0;
    animation: nameFade 3s ease 1s 1 normal forwards;
}

@keyframes nameFade {
    from {
        opacity: 0;
        transform: translateY(-20%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

#surname {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    opacity: 0;
    right: 0;
    margin-right: -17%;
    animation: surnameFade 3s ease 1.8s 1 normal forwards;
}

@keyframes surnameFade {
    from {
        opacity: 0;
        transform: translateY(20%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

